.bootstrap-iso {
  input[type="file"]:focus,
  input[type="radio"]:focus,
  input[type="checkbox"]:focus {
    outline: none;
  }
  label {
    display: inline;
    font-weight: normal;
  }

  input[type="checkbox"] {
    margin-top: 0;
    margin-right: 5px;
  }
  .colorpicker-component .input-group-addon {
    border-top-right-radius: 4px !important;
    border-bottom-right-radius: 4px !important;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
  }

  .dd-select {
    border-radius: 4px;
    &:focus {
      border-color: #66afe9;
      outline: 0;
      -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(102, 175, 233, 0.6);
      box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(102, 175, 233, 0.6);
    }
  }

  .dd-option-image, .dd-selected-image {
    width: 44px;
  }

  .dd-container li {
    margin-bottom: 0 !important;
  }
}

.wpContentNavBtn {
  cursor: pointer;
  -webkit-transition: 500ms;
}

#wpContentNavLoading {
  position: fixed;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.1);
  z-index: 999;
  overflow: auto;
  display: none;
  & > .media-modal-backdrop {
    position: relative;
    width: 100%;
    height: 100%;
  }
  img {
    position: absolute;
    left: 50%;
    top: 50%;
    margin-top: -64px;
    width: 128px;
    height: 128px;
  }
}

.wpContentNavEditableTitle {
  .wpContentNavEditableTitleInput {
    width: 60px;
  }
}

.wpContentNavBtnPurple {
  display: inline-block;
  background: @color-magenta;
  color: @color-white;
  padding: 4px 10px;
  text-align: center;
  min-width: 100px;
  font-size: 16px;

  &:hover, &:active, &:focus {
    background: @color-magenta-dark;
    color: @color-white;
  }
}

//.wpContentNavColorPickerContainer {
//  position: absolute;
//  top: 14px;
//  z-index: 1;
//}

.wpContentNavColorPickerWrapper {
  position: relative;
  height: 30px;
}

.wpContentNavTableStyle_1 {
  .wpContentNavRowItem {
    background: white;
    margin: 5px 0;

    .wpContentNavHeader {
      border: 1px solid @color-grey-light-1;
      font-style: italic;
      position: relative;
      z-index: 0;

      .wpContentNavOverlay {
        content: '';
        position: absolute;
        height: 100%;
        top: 0;
        left: 0;
        width: 100%;
        z-index: -1;
      }

      .wpContentNavMove {
        border-right: 1px solid @color-grey-light-1;
        display: inline-block;
        height: 30px;
        width: 30px;
        text-align: center;
        i {
          color: @color-green;
          opacity: 0.8;
          font-size: 20px;
          margin-top: 6px;
        }
      }
      .wpContentNavText {
        margin-left: 12px;
        font-size: 14px;
        display: inline-block;
        vertical-align: top;
        margin-top: 7px;
      }
      .wpContentNavBtnAdd {
        float: right;
        height: 30px;
        width: 30px;
        text-align: center;
        border-left: 1px solid @color-grey-light-1;
        border-radius: 0;
        color: @color-grey;
        &:hover {
          color: @color-grey-dark-1;
        }
        i {
          font-size: 18px;
          margin-top: 6px;
        }
      }
    }

    &.wpContentNavClosed {
      .wpContentNavBtnDetail {
        i:before {
          content: "\f107";
        }
      }
      .wpContentNavContent {
        display: none;
      }
    }
  }
}

.wpContentNavContentStyle_1 {
  padding: 10px;
  border: 1px solid @color-grey-light-1;

  .dd-container {
    vertical-align: middle;
  }

  .wpContentNavIconBox {
    display: inline-block;
    vertical-align: middle;
    margin-bottom: -2px;

    .wpContentNavIconPreview {
      width: 35px;
      height: 35px;
      border: 1px solid #eaeaea;
      background: #fafafa;
      display: inline-block;
      vertical-align: middle;
      text-align: center;
      padding: 2px;
      color: @color-grey-dark-1;

      i.fa {
        font-size: 30px;
      }
    }
    .wpContentNavControl {
      display: inline-block;
      vertical-align: middle;
      margin-right: 8px;
    }
    a {
      font-size: 11px;
      line-height: 1;
      margin-top: 2px;
    }
  }

  .wpContentNavText label span,
  .wpContentNavIcon span,
  .wpContentNavConf .wpContentNavName,
  .wpContentNavHeaderText span,
  .wpContentNavSize span,
  .wpContentNavTooltip .wpContentNavRight > div > span {
    font-weight: bold;
    line-height: 2;
  }

  .wpContentNavEditableTitle {
    .wpContentNavEditableTitleInput {
      width: 60px;
    }
  }

  .wpContentNavParameter {
    padding-right: 6px;
    display: block;
    margin-bottom: 8px;

    span {
      vertical-align: middle;
    }
    .wpContentNavParameterTitle {
      width: 106px;
      display: inline-block;
      vertical-align: middle;
    }
  }
  .dd-container {
    display: inline-block;
  }

  .wpContentNavColorpickerContainer {
    display: inline-block;
    vertical-align: middle;
  }
  .colorpicker-component {
    width: 150px;
    input {
      width: 100% !important;
    }
  }

  .wpContentNavConf {
    display: table;
    width: 100%;
    margin: 10px 0;

    &:not(:last-child) {
      border-bottom: 1px dashed @color-grey;
      padding-bottom: 2px;
    }
    .wpContentNavName {
      display: table-cell;
      width: 300px;
      vertical-align: top;
    }
    .wpContentNavValue {
      display: table-cell;
      .form-control {
        display: inline;
      }
      input[type="text"],
      select {
        width: 150px;
      }
      input[type="number"],
      input.wpContentNavSmall {
        width: 70px;
      }
    }
    .wpContentNavSize input {
      display: inline-block;
      width: 60px;
    }
    .dd-selected,
    .dd-option {
      padding: 8px !important;
    }
  }
  .wpContentNavTooltip {
    textarea {
      display: inline-block;
      width: 400px;
    }
    .wpContentNavRight {
      display: inline-block;
      vertical-align: top;

      .wpContentNavHeaderText {
        input {
          display: inline-block;
          width: 60px;
          margin: 6px 10px;
          margin-bottom: 0;
        }
      }
    }
  }
}

.wpContentNavHeaderStyle_1 {
  font-size: 14px;
  font-weight: bold;
  color: @color-grey-dark-1;
  background-image: -moz-linear-gradient(90deg, rgb(239, 238, 238) 0%, rgb(255, 255, 255) 100%);
  background-image: -webkit-linear-gradient(90deg, rgb(239, 238, 238) 0%, rgb(255, 255, 255) 100%);
  background-image: -ms-linear-gradient(90deg, rgb(239, 238, 238) 0%, rgb(255, 255, 255) 100%);
  box-shadow: 0px 3px 3px 0px rgba(166, 167, 167, 0.39);
  border: 1px solid #eaeaea;
  height: 32px;

  .wpContentNavHiddenEdit {
    height: 27px;
    margin-top: -5px;
    margin-left: -10px;
  }
  .wpContentNavTitle {
    margin-left: 24px;
    margin-top: 7px;
    display: inline-block;
  }

  .wpContentNavBtnDetail {
    float: right;
    height: 30px;
    width: 30px;
    border-left: 1px solid @color-grey-light-1;
    text-align: center;
    color: @color-grey;
    -webkit-transition: 500ms;

    &:hover {
      cursor: pointer;
      color: @color-grey-dark-1;
    }
    i {

      font-size: 26px;
      margin-top: 2px;
      font-weight: bold;
    }
  }
}